<?php

use Illuminate\Foundation\Inspiring;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Schedule;

Artisan::command('inspire', function () {
    $this->comment(Inspiring::quote());
})->purpose('Display an inspiring quote');

// E-commerce Scheduled Tasks
Schedule::call(function () {
    // Expiring promotions
})->everyMinute()->name('promotions:expire');

Schedule::call(function () {
    // Activating scheduled banners
    // Deactivating expired banners
})->everyMinute()->name('banners:sync');

Schedule::call(function () {
    // Publishing scheduled blogs
})->everyMinute()->name('blogs:publish');

Schedule::call(function () {
    // Daily sales summaries
})->dailyAt('23:59')->name('reports:daily-sales-summary');

Schedule::call(function () {
    // Database-cleanup tasks and Temporary-file cleanup
    // e.g., cache:clear, auth:clear-resets, etc.
})->daily()->name('system:cleanup');

